<html>
<head>
<title>OGRE: Ogre::ParticleAffectorFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ParticleAffectorFactory.html">ParticleAffectorFactory</a></div>
<h1>Ogre::ParticleAffectorFactory Class Reference</h1><!-- doxytag: class="Ogre::ParticleAffectorFactory" -->Abstract class defining the interface to be implemented by creators of <a class="el" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a> subclasses.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreParticleAffectorFactory_8h-source.html">OgreParticleAffectorFactory.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ParticleAffectorFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffectorFactory.html#defcc5659fbddb67e72ece498003500c">ParticleAffectorFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffectorFactory.html#e030407c3bc3e4cdc997f58f000278ea">~ParticleAffectorFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffectorFactory.html#6315b2c094791ee6c6cdddc9c435cdec">getName</a> () const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the name of the factory, the name which identifies the particle affector type this factory creates.  <a href="#6315b2c094791ee6c6cdddc9c435cdec"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <br>
<a class="el" href="classOgre_1_1ParticleAffector.html">ParticleAffector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffectorFactory.html#7989506f2f5452593f0a377c06d2f61f">createAffector</a> (<a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *psys)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a new affector instance.  <a href="#7989506f2f5452593f0a377c06d2f61f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffectorFactory.html#073f267f4efff156cac2d0a2ef40f7dd">destroyAffector</a> (<a class="el" href="classOgre_1_1ParticleAffector.html">ParticleAffector</a> *e)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys the affector pointed to by the parameter (for early clean up if reauired).  <a href="#073f267f4efff156cac2d0a2ef40f7dd"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector<br>
&lt; <a class="el" href="classOgre_1_1ParticleAffector.html">ParticleAffector</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffectorFactory.html#cf5598502e974c774fb5d8db290c4eaa">mAffectors</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abstract class defining the interface to be implemented by creators of <a class="el" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a> subclasses. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Plugins or 3rd party applications can add new types of particle affectors to <a class="el" href="namespaceOgre.html">Ogre</a> by creating subclasses of the <a class="el" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a> class. Because multiple instances of these affectors may be required, a factory class to manage the instances is also required. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd><a class="el" href="classOgre_1_1ParticleAffectorFactory.html" title="Abstract class defining the interface to be implemented by creators of ParticleAffector...">ParticleAffectorFactory</a> subclasses must allow the creation and destruction of <a class="el" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a> subclasses. They must also be registered with the <a class="el" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter...">ParticleSystemManager</a>. All factories have a name which identifies them, examples might be 'force_vector', 'attractor', or 'fader', and these can be also be used from particle system scripts. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleAffectorFactory_8h-source.html#l00049">49</a> of file <a class="el" href="OgreParticleAffectorFactory_8h-source.html">OgreParticleAffectorFactory.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="defcc5659fbddb67e72ece498003500c"></a><!-- doxytag: member="Ogre::ParticleAffectorFactory::ParticleAffectorFactory" ref="defcc5659fbddb67e72ece498003500c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ParticleAffectorFactory::ParticleAffectorFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticleAffectorFactory_8h-source.html#l00054">54</a> of file <a class="el" href="OgreParticleAffectorFactory_8h-source.html">OgreParticleAffectorFactory.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e030407c3bc3e4cdc997f58f000278ea"></a><!-- doxytag: member="Ogre::ParticleAffectorFactory::~ParticleAffectorFactory" ref="e030407c3bc3e4cdc997f58f000278ea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ParticleAffectorFactory::~ParticleAffectorFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="6315b2c094791ee6c6cdddc9c435cdec"></a><!-- doxytag: member="Ogre::ParticleAffectorFactory::getName" ref="6315b2c094791ee6c6cdddc9c435cdec" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ParticleAffectorFactory::getName           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the name of the factory, the name which identifies the particle affector type this factory creates. 
<p>

</div>
</div><p>
<a class="anchor" name="7989506f2f5452593f0a377c06d2f61f"></a><!-- doxytag: member="Ogre::ParticleAffectorFactory::createAffector" ref="7989506f2f5452593f0a377c06d2f61f" args="(ParticleSystem *psys)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ParticleAffector.html">ParticleAffector</a>* Ogre::ParticleAffectorFactory::createAffector           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&nbsp;</td>
          <td class="paramname"> <em>psys</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a new affector instance. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The subclass MUST add a pointer to the created instance to mAffectors. </dd></dl>

</div>
</div><p>
<a class="anchor" name="073f267f4efff156cac2d0a2ef40f7dd"></a><!-- doxytag: member="Ogre::ParticleAffectorFactory::destroyAffector" ref="073f267f4efff156cac2d0a2ef40f7dd" args="(ParticleAffector *e)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleAffectorFactory::destroyAffector           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleAffector.html">ParticleAffector</a> *&nbsp;</td>
          <td class="paramname"> <em>e</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys the affector pointed to by the parameter (for early clean up if reauired). 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="cf5598502e974c774fb5d8db290c4eaa"></a><!-- doxytag: member="Ogre::ParticleAffectorFactory::mAffectors" ref="cf5598502e974c774fb5d8db290c4eaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classOgre_1_1ParticleAffector.html">ParticleAffector</a>*&gt; <a class="el" href="classOgre_1_1ParticleAffectorFactory.html#cf5598502e974c774fb5d8db290c4eaa">Ogre::ParticleAffectorFactory::mAffectors</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticleAffectorFactory_8h-source.html#l00052">52</a> of file <a class="el" href="OgreParticleAffectorFactory_8h-source.html">OgreParticleAffectorFactory.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleAffectorFactory_8h-source.html">OgreParticleAffectorFactory.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:18 2008
</p>
</body>
</html>
